---
title: Lead Update
description: Update the details of an existing enterprise lead.
---

This API is used to update the lead details.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/leads/api/createlead
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| content-type  required | String | application/json | `content-type:application/json` |
| affiliate  required | Text | Will be provided by airpay | `s5018c4e6770be10ceb89171fd8a1b00` |
| checksum  required | Text | string = param + header_code + secret_key;<br>sha256(<concate all values+SECRET KEY>); | `s5018c4e6770be10ceb89171fd8a1b00` |
| processor-key  required | Text | Will be provided by airpay | `s5018c4e6770be10ceb89171fd8a1b00` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| fname  required | text | First Name (length 1-20). | `John` |
| lname  required | text | Last Name (length 1-20). | `Doe` |
| email  required | text | Email Address (length 1-25). | `johndoe1@example.com` |
| phone  required | numeric | Mobile Number (length 1-10). | `1234567890` |
| company_name  required | text | Company Name (length 1-10). | `ABC Company` |
| company_address  optional | text | Company Address (length 1-30). | `123 Main St, City` |
| merchant_legal_name  required | text | Legal Name of Merchant (length 1-20). | `ABC Legal Name` |
| company_website  required | text | Company Website (length 1-30). | `http://www.exampleone.com` |
| company_cin  optional | text | Company Identification Number (length 1-21). | `U00000AB0000CDE123456` |
| company_annual_turnover  required | text | Annual Turnover of the Company (length 1-10). Valid options: 0 - 1L1L - 5L5L - 25L25L - 50L50L - 1CrAbove 1Cr | `Above 1Cr` |
| business_type  required | numeric | Business Type (length 1-10). Valid options: 1: Private Ltd Company2: Partnership3: Proprietorship4: Clubs / Societies / Associations5: Trusts6: Others7: Public Ltd Company8: Limited Liability Partnership | `1` |
| business_category  required | numeric | Business category ID (length 1-10). | `118` |
| business_pan  required | text | Business PAN number (length 1-10). | `ABCDE1234F` |
| business_gstin  optional | text | Business GST number (length 1-15). | `12ABCDE1234F1Z5` |
| business_address  optional | text | Business address (length 1-30). | `Test Apartment` |
| business_city  required | text | City (length 1-20). | `Kochi` |
| business_pincode  optional | text | Pincode (length 1-6). | `123456` |
| business_state  required | text | State (length 1-20). | `Kerala` |
| business_country  required | text | Country (length 1-20). | `India` |
| bank_account_type  required | text | Bank account type (length 1-10). Valid values: "C" for Current"S" for Savings | `C` |
| bank_account_holder_name  required | text | Bank account holder name (length 1-20). | `John Doe` |
| bank_account_number  required | text | Bank account number (length 1-20). | `1234567890` |
| bank_ifsc_code  required | text | Bank IFSC code (length 1-11). | `ABCD1234567` |
| signatory_name  required | text | Full name of the signatory (length 1-20). | `Signatory one` |
| signatory_email  required | text | Email address of the signatory (length 1-20). | `signatoryone@example.com` |
| signatory_phone  required | numeric | Mobile number of the signatory (length 1-10). | `1234567890` |
| signatory_address  optional | text | Address of the signatory (length 1-25). | `123 Main St, City` |
| signatory_pep  required | text | Indicates if the signatory is politically exposed (length 1-10). | `N` |
| signatory_dob  required | date | Date of birth of the signatory in d-m-Y format (length 1-10). | `01-01-1990` |
| signatory_pan  required | text | PAN number of the signatory (length 1-10). | `ABCDE1234G` |
| signatory_primary_contact  required | text | Primary contact of the signatory (length 1-10). | `Y` |
| signatory_address_proof  required | text | Address proof ID of the signatory (length 1-10). | `121` |
| signatory_pdconsent  required | text | Consent for personal data storage by the signatory (length 1-10). | `N` |
| signatory_gender  optional | text | Gender of the signatory (length 1-10). | `F` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | 400- fail,200-success(length 1-3) | `200` |
| message  required | Text | success, fail | `Success` |
| data  required | Text | Json response { "status": status code, "message": response message, "data":[ {"parameter":"array required data"}] } | `[]` |

## Request Example (encrypted)

```
curl --location 'https://kraken.airpay.co.in/airpay/ms/leads/api/createlead' \
--header 'Content-Type: application/json' \
--header 'AFFILIATE: s5018c4e6770be10ceb89171fd8a1b00' \
--header 'CHECKSUM: eda5100cf07619128fc1d384fbb79dbc4fc1b262fd50d4371019c9e6d28294b6' \
--header 'AIRPAYKEY: xvIvkudaKczCf8sapHZv5iadqzPEB9dPRvtLr4idn4SzmMjfuWgVvSsXEn==' \
--data '{
    "query": "jdnk195gdbpj7u2on87NRgYJbXc+JAS0a9As7D2txQ8VaF08lVO+tPCD4y40sfrBus/yuiqi/LBGeMP6PrKGvY2Anli1wufGUl5m88AwH0kWmaTRE3WHmbDsVloDd9OxCLuvNwxPQHF+TzrA3CbCvEB6TJezdW7MwvteNnUBmKKZIGHkrKSpmaFEJJb7iXh1FIGUjlLz3PWxOPq7K8K7NJ4RA5bQiRCg35/YQWqSsVv9q3bUBVjjSl8ukGWOW9Gx0QQ+1WvaOLrf/I3NbnXKTT9dFIJD24JOc="
}'
```

### Success Response (decrypted)

```json
{
    "status": "200",
    "message": "Success",
    "data": {
        "message": "Lead updated successfully.",
        "lead_id": 12345
    }
}
```

### Error Response (decrypted)

```json
{
    "status": "400",
    "message": "Failed",
    "data": {
        "error": {
            "lead_id": "12345",
            "message": ""
        }
    }
}
```